diff --git a/src/config/test_config.c b/src/config/test_config.c
index 230e7c904..cdecaf2d7 100644
--- a/src/config/test_config.c
+++ b/src/config/test_config.c
@@ -3,181 +3,260 @@
 #include "wt_internal.h"
 
 static const WT_CONFIG_CHECK confchk_checkpoint_manager_subconfigs[] = {
-  {"enabled", "boolean", NULL, NULL, NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 0},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_cache_hs_insert_subconfigs[] = {
-  {"max", "string", NULL, NULL, NULL, 0}, {"min", "int", NULL, "min=0", NULL, 0},
-  {"postrun", "boolean", NULL, NULL, NULL, 0}, {"runtime", "boolean", NULL, NULL, NULL, 0},
-  {"save", "boolean", NULL, NULL, NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"max", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"min", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"postrun", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"runtime", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"save", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_cc_pages_removed_subconfigs[] = {
-  {"max", "string", NULL, NULL, NULL, 0}, {"min", "int", NULL, "min=0", NULL, 0},
-  {"postrun", "boolean", NULL, NULL, NULL, 0}, {"runtime", "boolean", NULL, NULL, NULL, 0},
-  {"save", "boolean", NULL, NULL, NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"max", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"min", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"postrun", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"runtime", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"save", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_stat_cache_size_subconfigs[] = {
-  {"max", "string", NULL, NULL, NULL, 0}, {"min", "int", NULL, "min=0", NULL, 0},
-  {"postrun", "boolean", NULL, NULL, NULL, 0}, {"runtime", "boolean", NULL, NULL, NULL, 0},
-  {"save", "boolean", NULL, NULL, NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"max", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"min", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"postrun", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"runtime", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"save", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_stat_db_size_subconfigs[] = {
-  {"max", "string", NULL, NULL, NULL, 0}, {"min", "int", NULL, "min=0", NULL, 0},
-  {"postrun", "boolean", NULL, NULL, NULL, 0}, {"runtime", "boolean", NULL, NULL, NULL, 0},
-  {"save", "boolean", NULL, NULL, NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"max", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"min", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"postrun", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"runtime", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"save", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_runtime_monitor_subconfigs[] = {
-  {"cache_hs_insert", "category", NULL, NULL, confchk_cache_hs_insert_subconfigs, 5},
-  {"cc_pages_removed", "category", NULL, NULL, confchk_cc_pages_removed_subconfigs, 5},
-  {"enabled", "boolean", NULL, NULL, NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"stat_cache_size", "category", NULL, NULL, confchk_stat_cache_size_subconfigs, 5},
-  {"stat_db_size", "category", NULL, NULL, confchk_stat_db_size_subconfigs, 5},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_hs_insert", "category", NULL, NULL, confchk_cache_hs_insert_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 2},
+  {"cc_pages_removed", "category", NULL, NULL, confchk_cc_pages_removed_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 3},
+  {"enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 0},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"stat_cache_size", "category", NULL, NULL, confchk_stat_cache_size_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 4},
+  {"stat_db_size", "category", NULL, NULL, confchk_stat_db_size_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_statistics_config_subconfigs[] = {
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0}, {"type", "string", NULL, NULL, NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 1},
+  {"type", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 0},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_timestamp_manager_subconfigs[] = {
-  {"enabled", "boolean", NULL, NULL, NULL, 0},
-  {"oldest_lag", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"stable_lag", "int", NULL, "min=0,max=1000000", NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 0},
+  {"oldest_lag", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 2},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"stable_lag", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_ops_per_transaction_subconfigs[] = {
-  {"max", "string", NULL, NULL, NULL, 0}, {"min", "int", NULL, "min=0", NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"max", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"min", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_insert_config_subconfigs[] = {
-  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2},
-  {"thread_count", "int", NULL, "min=0", NULL, 0},
-  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 2},
+  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"thread_count", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_populate_config_subconfigs[] = {
-  {"collection_count", "int", NULL, "min=0,max=200000", NULL, 0},
-  {"key_count_per_collection", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0},
-  {"thread_count", "string", NULL, NULL, NULL, 0},
-  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"collection_count", "int", NULL, "min=0,max=200000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 2},
+  {"key_count_per_collection", "int", NULL, "min=0,max=1000000", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"thread_count", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 4},
+  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 1},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_read_config_subconfigs[] = {
-  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2},
-  {"thread_count", "int", NULL, "min=0", NULL, 0},
-  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 2},
+  {"thread_count", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_update_config_subconfigs[] = {
-  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2},
-  {"thread_count", "int", NULL, "min=0", NULL, 0},
-  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0}, {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"key_size", "int", NULL, "min=0,max=10000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 2},
+  {"ops_per_transaction", "category", NULL, NULL, confchk_ops_per_transaction_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"thread_count", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"value_size", "int", NULL, "min=0,max=1000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 4},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_workload_generator_subconfigs[] = {
-  {"enabled", "boolean", NULL, NULL, NULL, 0},
-  {"insert_config", "category", NULL, NULL, confchk_insert_config_subconfigs, 5},
-  {"op_rate", "string", NULL, NULL, NULL, 0},
-  {"populate_config", "category", NULL, NULL, confchk_populate_config_subconfigs, 5},
-  {"read_config", "category", NULL, NULL, confchk_read_config_subconfigs, 5},
-  {"update_config", "category", NULL, NULL, confchk_update_config_subconfigs, 5},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 0},
+  {"insert_config", "category", NULL, NULL, confchk_insert_config_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 4},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {"populate_config", "category", NULL, NULL, confchk_populate_config_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 2},
+  {"read_config", "category", NULL, NULL, confchk_read_config_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 3},
+  {"update_config", "category", NULL, NULL, confchk_update_config_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_workload_tracking_subconfigs[] = {
-  {"enabled", "boolean", NULL, NULL, NULL, 0}, {"op_rate", "string", NULL, NULL, NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 0},
+  {"op_rate", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 1},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_base_test[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_burst_inserts[] = {
-  {"burst_duration", "string", NULL, NULL, NULL, 0},
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"burst_duration", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 0},
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 1},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 2},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 4},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 5},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 10},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_example_test[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_hs_cleanup[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_search_near_01[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"search_near_threads", "string", NULL, NULL, NULL, 0},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"search_near_threads", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 6},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 10},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_search_near_02[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_search_near_03[] = {
-  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0},
-  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2},
-  {"compression_enabled", "boolean", NULL, NULL, NULL, 0},
-  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0},
-  {"enable_logging", "boolean", NULL, NULL, NULL, 0},
-  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6},
-  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2},
-  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4},
-  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6},
-  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+  {"cache_size_mb", "int", NULL, "min=0,max=100000000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 0},
+  {"checkpoint_manager", "category", NULL, NULL, confchk_checkpoint_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 1},
+  {"compression_enabled", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 2},
+  {"duration_seconds", "int", NULL, "min=0,max=1000000", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 3},
+  {"enable_logging", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 4},
+  {"runtime_monitor", "category", NULL, NULL, confchk_runtime_monitor_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 5},
+  {"statistics_config", "category", NULL, NULL, confchk_statistics_config_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 6},
+  {"timestamp_manager", "category", NULL, NULL, confchk_timestamp_manager_subconfigs, 4,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"workload_generator", "category", NULL, NULL, confchk_workload_generator_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 8},
+  {"workload_tracking", "category", NULL, NULL, confchk_workload_tracking_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_ENTRY config_entries[] = {
   {"base_test",
@@ -200,7 +279,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_base_test, 10},
+    confchk_base_test, 10, 1, false},
   {"burst_inserts",
     "burst_duration=90,cache_size_mb=0,"
     "checkpoint_manager=(enabled=false,op_rate=1s),"
@@ -222,7 +301,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_burst_inserts, 11},
+    confchk_burst_inserts, 11, 2, false},
   {"example_test",
     "cache_size_mb=0,checkpoint_manager=(enabled=false,op_rate=1s),"
     "compression_enabled=false,duration_seconds=0,"
@@ -243,7 +322,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_example_test, 10},
+    confchk_example_test, 10, 3, false},
   {"hs_cleanup",
     "cache_size_mb=0,checkpoint_manager=(enabled=false,op_rate=1s),"
     "compression_enabled=false,duration_seconds=0,"
@@ -264,7 +343,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_hs_cleanup, 10},
+    confchk_hs_cleanup, 10, 4, false},
   {"search_near_01",
     "cache_size_mb=0,checkpoint_manager=(enabled=false,op_rate=1s),"
     "compression_enabled=false,duration_seconds=0,"
@@ -285,7 +364,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_search_near_01, 11},
+    confchk_search_near_01, 11, 5, false},
   {"search_near_02",
     "cache_size_mb=0,checkpoint_manager=(enabled=false,op_rate=1s),"
     "compression_enabled=false,duration_seconds=0,"
@@ -306,7 +385,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_search_near_02, 10},
+    confchk_search_near_02, 10, 6, false},
   {"search_near_03",
     "cache_size_mb=0,checkpoint_manager=(enabled=false,op_rate=1s),"
     "compression_enabled=false,duration_seconds=0,"
@@ -327,8 +406,8 @@ static const WT_CONFIG_ENTRY config_entries[] = {
     "value_size=5),update_config=(key_size=5,op_rate=1s,"
     "ops_per_transaction=(max=1,min=0),thread_count=0,value_size=5)),"
     "workload_tracking=(enabled=true,op_rate=1s)",
-    confchk_search_near_03, 10},
-  {NULL, NULL, NULL, 0}};
+    confchk_search_near_03, 10, 7, false},
+  {NULL, NULL, NULL, 0, 0, false}};
 
 /*
  * __wt_test_config_match --
